package com.fjhx.form.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.RemitDetailVo;
import com.fjhx.form.entity.SubjectBalanceBo;
import com.fjhx.form.entity.SubjectBalanceSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FinanceReportMapper {

    //科目余额视图备份
    //select `u`.`user_id` AS `calculate_item_id`,`u`.`nick_name` AS `calculate_item_name`,'股东,职员' AS `calculate_item_type`,`u`.`jd_subject_code` AS `calculate_item_code`,`u`.`del_flag` AS `del_flag`,`u`.`tenant_id` AS `tenant_id` from `sys_user` `u` union all select `d`.`dept_id` AS `calculate_item_id`,`d`.`dept_name` AS `calculate_item_name`,'核算中心,部门' AS `calculate_item_type`,`d`.`jd_subject_code` AS `calculate_item_code`,`d`.`del_flag` AS `del_flag`,`d`.`tenant_id` AS `tenant_id` from `sys_dept` `d` union all select `t`.`id` AS `calculate_item_id`,`t`.`name` AS `calculate_item_name`,'商标' AS `calculate_item_type`,`t`.`jd_subject_code` AS `calculate_item_code`,`t`.`del_flag` AS `del_flag`,`t`.`tenant_id` AS `tenant_id` from `trademark` `t` union all select `ac`.`id` AS `calculate_item_id`,`ac`.`name` AS `calculate_item_name`,'美术版权' AS `calculate_item_type`,`ac`.`jd_subject_code` AS `calculate_item_code`,`ac`.`del_flag` AS `del_flag`,`ac`.`tenant_id` AS `tenant_id` from `art_copyright` `ac` union all select `si`.`id` AS `calculate_item_id`,`si`.`name` AS `calculate_item_name`,'供应商' AS `calculate_item_type`,`si`.`jd_subject_code` AS `calculate_item_code`,`si`.`del_flag` AS `del_flag`,`si`.`tenant_id` AS `tenant_id` from `supplier_info` `si` union all select `shi`.`id` AS `calculate_item_id`,`shi`.`name` AS `calculate_item_name`,'店铺' AS `calculate_item_type`,`shi`.`jd_subject_code` AS `calculate_item_code`,`shi`.`del_flag` AS `del_flag`,`shi`.`tenant_id` AS `tenant_id` from `shop_info` `shi` union all select `co`.`id` AS `calculate_item_id`,`co`.`name` AS `calculate_item_name`,'承包商' AS `calculate_item_type`,`co`.`jd_subject_code` AS `calculate_item_code`,`co`.`del_flag` AS `del_flag`,`co`.`tenant_id` AS `tenant_id` from `contractor` `co` union all select `lci`.`id` AS `calculate_item_id`,`lci`.`name` AS `calculate_item_name`,'快递公司' AS `calculate_item_type`,`lci`.`jd_subject_code` AS `calculate_item_code`,`lci`.`del_flag` AS `del_flag`,`lci`.`tenant_id` AS `tenant_id` from `logistics_company_info` `lci` union all select `pa`.`id` AS `calculate_item_id`,`pa`.`name` AS `calculate_item_name`,'专利' AS `calculate_item_type`,`pa`.`jd_subject_code` AS `calculate_item_code`,`pa`.`del_flag` AS `del_flag`,`pa`.`tenant_id` AS `tenant_id` from `patent` `pa` union all select `cu`.`id` AS `calculate_item_id`,`cu`.`name` AS `calculate_item_name`,'客户' AS `calculate_item_type`,`cu`.`jd_subject_code` AS `calculate_item_code`,`cu`.`del_flag` AS `del_flag`,`cu`.`tenant_id` AS `tenant_id` from `customer` `cu`

    List<SubjectBalanceBo> subjectBalance(@Param("ew") IWrapper<Object> wrapper, @Param("dto") SubjectBalanceSelectDto dto);

    Page<RemitDetailVo> getRemitDetailPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    List<RemitDetailVo> getRemitDetailPage(@Param("ew") IWrapper<Object> wrapper);

}
