package com.fjhx.form.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.dto.AccountRunningWaterDto;
import com.fjhx.form.entity.RemitDetailSelectDto;
import com.fjhx.form.entity.RemitDetailVo;
import com.fjhx.form.entity.SubjectBalanceBo;
import com.fjhx.form.entity.SubjectBalanceSelectDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface FinanceReportService {
    List<SubjectBalanceBo> subjectBalance(SubjectBalanceSelectDto dto);

    /**
     * 汇款明细
     */
    Page<RemitDetailVo> getRemitDetailPage(RemitDetailSelectDto dto);

    void remitDetailExcelExport(RemitDetailSelectDto dto, HttpServletResponse httpServletResponse);

    /**
     * 汇款明细数据修改
     */
    void editRemitDetail(AccountRunningWaterDto dto);
}
