package com.fjhx.oa.mapper.invoice;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.invoice.po.InvoiceTaxDeduction;
import com.fjhx.oa.entity.invoice.vo.InvoiceTaxDeductionVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 电子发票抵扣申请 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
public interface InvoiceTaxDeductionMapper extends BaseMapper<InvoiceTaxDeduction> {

    /**
     * 电子发票抵扣申请分页
     */
    Page<InvoiceTaxDeductionVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InvoiceTaxDeduction> wrapper);

}
