package com.fjhx.customer.entity.customer;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class CustomerExcelBo {
    private final int columnWidth = 16;
    private final int columnWidth1 = 20;

    @ColumnWidth(columnWidth)
    @ExcelProperty("客户名称")
    private String name;
    @ColumnWidth(columnWidth)
    @ExcelProperty("客户编号")
    private String customerCode;
    @ExcelProperty("国家")
    private String countryName;
    @ExcelProperty("省")
    private String provinceName;
    @ExcelProperty("市")
    private String cityName;

    @ColumnWidth(columnWidth)
    @ExcelProperty("详细地址")
    private String address;
    @ExcelProperty("业务员")
    private String userName;

    @ColumnWidth(columnWidth)
    @ExcelProperty("业务部门")
    private String deptName;

    @ColumnWidth(columnWidth)
    @ExcelProperty("主营品类")
    private String mainCategories;

    @ColumnWidth(columnWidth)
    @ExcelProperty("公司规模")
    private String companySize;

    @ColumnWidth(columnWidth)
    @ExcelProperty("结算方式")
    private String settlementMode;

    @ColumnWidth(columnWidth)
    @ExcelProperty("客户类型")
    private String status;

    @ColumnWidth(columnWidth)
    @ExcelProperty("客户等级")
    private String lvName;
    @ColumnWidth(columnWidth)
    @ExcelProperty("维系级别")
    private String maintainLevel;

    @ColumnWidth(columnWidth)
    @ExcelProperty("新老客户")
    private String newOld;

    @ColumnWidth(columnWidth1)
    @ExcelProperty("要求年订单量")
    private String annualQuantity;
    @ColumnWidth(columnWidth)
    @ExcelProperty("回访要求")
    private String followUpAsk;
    @ColumnWidth(columnWidth)
    @ExcelProperty("提醒设置")
    private String remind;
    @ColumnWidth(columnWidth)
    @ExcelProperty("建群时间")
    private Date createGroupTime;
    @ColumnWidth(columnWidth)
    @ExcelProperty("客户状态")
    private String state;
    @ColumnWidth(columnWidth)
    @ExcelProperty("客户来源")
    private String source;
    @ExcelProperty("传真")
    private String fax;
    @ColumnWidth(columnWidth)
    @ExcelProperty("客户标签")
    private String tag;
    @ColumnWidth(columnWidth)
    @ExcelProperty("发票信息")
    private String invoiceType;
    @ColumnWidth(columnWidth)
    @ExcelProperty("合作状态")
    private String cooperateStatus;
    @ColumnWidth(columnWidth)
    @ExcelProperty("公司名称")
    private String accountName;
    @ExcelProperty("税号")
    private String dutyParagraph;
    @ColumnWidth(columnWidth)
    @ExcelProperty("账户地址")
    private String accountAddress;
    @ColumnWidth(columnWidth)
    @ExcelProperty("账户电话")
    private String accountTel;
    @ColumnWidth(columnWidth1)
    @ExcelProperty("账户开户行")
    private String accountBank;
    @ColumnWidth(columnWidth)
    @ExcelProperty("账户账号")
    private String accountNumber;
    @ColumnWidth(columnWidth1)
    @ExcelProperty("对私账户名称")
    private String privAccountName;
    @ColumnWidth(columnWidth1)
    @ExcelProperty("对私开户行")
    private String privAccountBank;
    @ColumnWidth(columnWidth1)
    @ExcelProperty("对私账户账号")
    private String privAccountNumber;
}
