package com.fjhx.oa.entity.invoice.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 开票申请合同明细
 * </p>
 *
 * @author
 * @since 2024-04-13
 */
@Getter
@Setter
@TableName("invoice_apply_contract_detail")
public class InvoiceApplyContractDetail extends BasePo {

    /**
     * 开票id
     */
    private Long invoiceApplyId;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 开票金额
     */
    private BigDecimal amount;

}
